agency-board
POST /v1/agency/client/boards/{boardId}/cards/{cardId}/comments
Comment on a shared card.
Autenticação
Envie uma chave de API como um token bearer. Este endpoint não especifica uma permissão específica na documentação, portanto, conceda à sua chave o mínimo necessário e verifique a resposta em vez de assumir.
Este endpoint não requer um ID de organização. Sua chave já identifica a organização à qual pertence, e a resposta é delimitada a ela.
Experimente
Substitua qualquer item entre colchetes por seus próprios valores e o espaço reservado para a chave por uma chave do seu painel.
curl -X POST https://api.zinndigital.com/v1/agency/client/boards/{boardId}/cards/{cardId}/comments \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "body": <string> }'Conectado? O console da API no seu painel preenche o ID da sua organização real e a sua própria chave, e executa a requisição contra a API de produção para que você possa ver a resposta real. Abra este endpoint no console da API
Detalhes
The card is looked up through the same filter the read uses, so a client cannot comment on a card they cannot see — including by guessing its id. A client's comment is always visible to them and to the agency.
Parâmetros
| Nome | Tipo | Obrigatório | O que é |
|---|---|---|---|
boardId (path) | Uuid | Sim | Project board ID (UUIDv7). |
cardId (path) | Uuid | Sim | Board card ID (UUIDv7). |
Corpo da requisição
| Nome | Tipo | Obrigatório | O que é |
|---|---|---|---|
body | string | Sim | — |
Resposta
| Nome | Tipo | Obrigatório | O que é |
|---|---|---|---|
id | Uuid | Sim | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
card_id | Uuid | Sim | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
body | string | Sim | — |
from_client | boolean | Não | — |
created_at | string | Sim | — |
author_label | string | Não | Who wrote it, as the client may see it — the agency's organisation name for anything the agency wrote, the person's name for the client's own colleagues. Same ruling as `SharedA… |
Erros que este endpoint pode retornar
401 · 403 · 404 · 422